org.eclipse.actf.model.dom.odf.util

## Class ODFWriter

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.util.ODFWriter

    public class ODFWriter
    extends Object

Utility class to save ODF document

### Constructor Summary

Constructors
Constructor and Description
`ODFWriter()`

### Method Summary

Methods
`void` `createODFFile(String inputDir, String outputODFName)`
`void` `saveODFFile(ODFDocument doc, String outFile)`
`List<String>` `unzipODFFile(String odfName, String outputDir)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ODFWriter

    public ODFWriter()

### Method Detail

#### unzipODFFile

    public List<String> unzipODFFile(String odfName,
                            String outputDir)

#### createODFFile

    public void createODFFile(String inputDir,
                     String outputODFName)

#### saveODFFile

    public void saveODFFile(ODFDocument doc,
                   String outFile)